Package org.opensaml.saml.criterion

# Class RoleDescriptorCriterion

java.lang.Object
org.opensaml.saml.criterion.RoleDescriptorCriterion

All Implemented Interfaces:
  `Criterion`

public final class RoleDescriptorCriterion extends Object implements Criterion
`Criterion` representing an entity role.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final RoleDescriptor`
`role`
The entity role.

## Constructor Summary

Constructors
Constructor
Description
`RoleDescriptorCriterion(RoleDescriptor samlRole)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`RoleDescriptor`
`getRole()`
Gets the entity role.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### role

@Nonnull private final RoleDescriptor role
The entity role.

## Constructor Details

### RoleDescriptorCriterion

public RoleDescriptorCriterion(@Nonnull RoleDescriptor samlRole)
Constructor.

Parameters:
  `samlRole` - the entity role

## Method Details

### getRole

@Nonnull public RoleDescriptor getRole()
Gets the entity role.

Returns:
  the entity role

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`